Kapittel 2. Fyr opp GIMP
| Del I. Å komme i gang med GIMP |

## Kapittel 2. Fyr opp GIMP

## 1. Starthjelp

Most often, you start GIMP either by clicking on an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the latest version. You can, if you want, give a list of image files on the command line after the program name, and they will automatically be opened by GIMP as it starts. It is also possible, though, to open files from within GIMP once it is running.

Dei fleste operativsystema har ein eller annan måte for å tilordna filklassar, kjenneteikna ved filnamnutvidingane som t.d. «.jpg», til bestemte program, som t.d. GIMP. Du kan altså stille inn programmet slik at når du dobbeltklikkar på ei biletfil i filutforskaren, vert dette biletet opna i GIMP.

### 1.1. Kjende plattformer

GIMP kan brukast på fleire plattformer, operativsystem, enn noko anna biletbehandlingsprogram. Til nå er GIMP prøvd ut på desse plattformene:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ og BeOS™.

Sidan GIMP har opne kjeldekoder, er det enkelt å tilpassa programmet til andre operativsystem. Du kan finne meir om dette på denne Internettadressa: [GIMP-DEV].

### 1.2. Språk

GIMP vil bruke det språket maskinen er sett opp med. Dersom GIMP av ein eller annan grunn ikkje finn språket, eller dersom du ønskjer å bruke eit anna språk, kan du frå GIMP-2.8 gjere dette frå menyvalet Rediger → Brukarinnstillingar → Grensesnitt.

Du kan også

Under Linux

  I LINUX: i «console mode», skriv du `LANGUAGE=xx GIMP` eller `LANG=xx GIMP` der du bytter ut «xx» med koden for det språket du ønskjer. Bakgrunn: `LANGUAGE=xx` set ein omgivnadsvariabel («environment variable») for programmet `gimp`.

Under Windows XP og Windows 7

  Trykk på Start-knappen og vel «Kontrollpanel». Derifrå går du til /Innstillinger for region og språk/Regionale innstillinger/. Vel språk frå nedtrekkslista. Dersom du har stilt inn oppgåvelinja til å vise språk, kan du også endre dette frå oppgåvelinja.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for french for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Ein annan måte dersom dette programmet er installert: Vel Start → Alle programmer → GTK Runtime Environment og deretter Select language og vel språk frå nedtrekkslista.

Under Apple Mac OS X

  Gå til System Preferences, klikk på ikonet «International» og set det ønskte språket øvst på lista.

Start ei ny økt av GIMP

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.10` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.10 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Argument i kommandolinja

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.10 [OPTION...] [FILE|URI...].

-?, --help

  Vis ei liste over alle kommandoane

--help-all

  Vis alle hjelpevala

--help-gtk

  Vis alternativ for GTK+

-v, --version

  Skriv kva for versjon av GIMP som er i bruk, og slutt av programmet.

--license

  Vis lisensinformasjon og slutt av

--verbose

  Vis detaljerte oppstartmeldingar.

-n, --new-instance

  Start ei ny økt av GIMP.

-a, --as-new

  Opna bilete som nytt

-i, --no-interface

  Køyr utan brukargrensesnitt.

-d, --no-data

  Ikkje last inn mønsterelement, fargeovergangar, palettar eller penslar. Kan vere nyttig i ikkje-interaktive situasjonar der oppstarttida skal vere kortast råd.

-f, --no-fonts

  Ikkje last inn skrifttypar. Dette kan korte ned oppstarttida for GIMP når skripta ikkje bruker skrifttypar. Kan også vere nyttig for å finne skrifttypar med feil som gjer at GIMP stoppar opp.

-s, --no-splash

  Ikkje vis oppstartskjermen.

--no-shm

  Ikkje bruk delt minne mellom GIMP og programtillegga.

--no-cpu-accel

  Ikkje bruk funksjonar for å auke farten på CPU. Kan vere nyttig for å finne eventuelle feil i slik programvare eller utstyr.

--session=`namn`

  Bruk eit anna `sessionrc` for denne GIMP-økta. Det gjevne «session name» vert lagt til det normale «sessionrc filename».

--gimprc=`filenamn`

  Bruk ei alternativ «gimprc»-fil i staden for den vanlege. «gimprc»-fila inneheld data om innstillingane dine. Kan vere nyttige når banane til programtillegga eller maskinoppsettet er endra.

--system-gimprc=`filenamn`

  Bruk ei alternativ system-gimprc-fil.

-b, --batch=`kommandoar`

  Utfør kommandosettet «non-interactively». Kommandosettet er typisk eit skript som vert utført av ei av GIMP sine skriptutvidingar. Dersom du bruker kommandoen `-`, vert kommandoane lesne frå standarinngangen.

--batch-interpreter=`proc`

  Prosedyren som vert brukt for å køyre mengdetolkarane (batch kommandoane). Denne er normalt sett til Script-Fu.

--console-messages

  Ikkje bruk sprettoppvindauge ved varsling av feil. Skriv meldingane til konsollen i staden.

--pdb-compat-mode=`modus`

  PDB kompatibilitetsmodus (off|on|warn)

--stack-trace-mode=`mode`

  Feilfinning i tilfelle krasj (never|query|always)

--debug-handlers

  Aktiver signalhandterarar for ikkje-fatale feil. Blir brukt for å finne feil i GIMP.

--g-fatal-warnings

  Gjer alle åtvaringane fatale. Blir brukt for å finne feil i GIMP.

--dump-gimprc

  Vis ei gimprc-fil med normalinnstillingane. Kan kome til nytte dersom du rotar til gimprc-fila.

--display=`display`

  Bruk X visning (gjeld ikkje på Microsoft Windows).

2.17. Roadmap and what's next |  | 2. Å starte GIMP for første gong

Report an error in the bug tracker